Bug 147614 - [INTL] Implement Array.prototype.toLocaleString in ECMA-402
Summary: [INTL] Implement Array.prototype.toLocaleString in ECMA-402
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andy VanWagoner
URL:
Keywords:
Depends on:
Blocks: 90906
  Show dependency treegraph
 
Reported: 2015-08-03 17:37 PDT by Andy VanWagoner
Modified: 2016-01-21 18:05 PST (History)
6 users (show)

See Also:


Attachments
Patch (8.18 KB, patch)
2016-01-20 14:44 PST, Andy VanWagoner
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy VanWagoner 2015-08-03 17:37:37 PDT
Implement ECMA-402 2.0 13.4.1 Array.prototype.toLocaleString([locales [, options ]])
http://ecma-international.org/publications/standards/Ecma-402.htm

This definition supersedes the definition provided in ES2015, 22.1.3.26.
Comment 1 Andy VanWagoner 2015-12-07 21:15:25 PST
Note that the list separator is implementation defined. The ICU library does not appear to have a way to get the list delimiter by locale.

List pattern data exists in the CLDR, but it may not yet be worth the effort to try to extract the delimiter from patterns for each locale.

Currently Firefox and Chrome just use ','.
Comment 2 Andy VanWagoner 2016-01-20 14:44:58 PST
Created attachment 269387 [details]
Patch
Comment 3 WebKit Commit Bot 2016-01-21 18:05:39 PST
Comment on attachment 269387 [details]
Patch

Clearing flags on attachment: 269387

Committed r195431: <http://trac.webkit.org/changeset/195431>
Comment 4 WebKit Commit Bot 2016-01-21 18:05:42 PST
All reviewed patches have been landed.  Closing bug.